# Interface TCLIService.Iface

All Known Implementing Classes:
  `TCLIService.Client`

Enclosing class:
  `TCLIService`

public static interface TCLIService.Iface

## Method Summary

Modifier and Type
Method
Description
`TCancelDelegationTokenResp`
`CancelDelegationToken(TCancelDelegationTokenReq req)`
`TCancelOperationResp`
`CancelOperation(TCancelOperationReq req)`
`TCloseOperationResp`
`CloseOperation(TCloseOperationReq req)`
`TCloseSessionResp`
`CloseSession(TCloseSessionReq req)`
`TExecuteStatementResp`
`ExecuteStatement(TExecuteStatementReq req)`
`TFetchResultsResp`
`FetchResults(TFetchResultsReq req)`
`TGetCatalogsResp`
`GetCatalogs(TGetCatalogsReq req)`
`TGetColumnsResp`
`GetColumns(TGetColumnsReq req)`
`TGetCrossReferenceResp`
`GetCrossReference(TGetCrossReferenceReq req)`
`TGetDelegationTokenResp`
`GetDelegationToken(TGetDelegationTokenReq req)`
`TGetFunctionsResp`
`GetFunctions(TGetFunctionsReq req)`
`TGetInfoResp`
`GetInfo(TGetInfoReq req)`
`TGetOperationStatusResp`
`GetOperationStatus(TGetOperationStatusReq req)`
`TGetPrimaryKeysResp`
`GetPrimaryKeys(TGetPrimaryKeysReq req)`
`TGetResultSetMetadataResp`
`GetResultSetMetadata(TGetResultSetMetadataReq req)`
`TGetSchemasResp`
`GetSchemas(TGetSchemasReq req)`
`TGetTablesResp`
`GetTables(TGetTablesReq req)`
`TGetTableTypesResp`
`GetTableTypes(TGetTableTypesReq req)`
`TGetTypeInfoResp`
`GetTypeInfo(TGetTypeInfoReq req)`
`TOpenSessionResp`
`OpenSession(TOpenSessionReq req)`
`TRenewDelegationTokenResp`
`RenewDelegationToken(TRenewDelegationTokenReq req)`

## Method Details

### OpenSession

TOpenSessionResp OpenSession(TOpenSessionReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### CloseSession

TCloseSessionResp CloseSession(TCloseSessionReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### GetInfo

TGetInfoResp GetInfo(TGetInfoReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### ExecuteStatement

TExecuteStatementResp ExecuteStatement(TExecuteStatementReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### GetTypeInfo

TGetTypeInfoResp GetTypeInfo(TGetTypeInfoReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### GetCatalogs

TGetCatalogsResp GetCatalogs(TGetCatalogsReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### GetSchemas

TGetSchemasResp GetSchemas(TGetSchemasReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### GetTables

TGetTablesResp GetTables(TGetTablesReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### GetTableTypes

TGetTableTypesResp GetTableTypes(TGetTableTypesReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### GetColumns

TGetColumnsResp GetColumns(TGetColumnsReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### GetFunctions

TGetFunctionsResp GetFunctions(TGetFunctionsReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### GetPrimaryKeys

TGetPrimaryKeysResp GetPrimaryKeys(TGetPrimaryKeysReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### GetCrossReference

TGetCrossReferenceResp GetCrossReference(TGetCrossReferenceReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### GetOperationStatus

TGetOperationStatusResp GetOperationStatus(TGetOperationStatusReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### CancelOperation

TCancelOperationResp CancelOperation(TCancelOperationReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### CloseOperation

TCloseOperationResp CloseOperation(TCloseOperationReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### GetResultSetMetadata

TGetResultSetMetadataResp GetResultSetMetadata(TGetResultSetMetadataReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### FetchResults

TFetchResultsResp FetchResults(TFetchResultsReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### GetDelegationToken

TGetDelegationTokenResp GetDelegationToken(TGetDelegationTokenReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### CancelDelegationToken

TCancelDelegationTokenResp CancelDelegationToken(TCancelDelegationTokenReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### RenewDelegationToken

TRenewDelegationTokenResp RenewDelegationToken(TRenewDelegationTokenReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`